package tech.starwin.mvp.ui.adapter;

import android.content.Context;

import com.bumptech.glide.Glide;

import java.util.List;

import tech.starwin.R;
import tech.starwin.base.BaseRecyclerAdapter;
import tech.starwin.base.RecyclerViewHolder;
import com.common.bean.ActivityInfoBean;

/**
 * Created by SiKang on 2018/11/20.
 */
public class EventCenterAdapter extends BaseRecyclerAdapter<ActivityInfoBean> {
    public EventCenterAdapter(Context ctx, List<ActivityInfoBean> list) {
        super(ctx, list);
    }

    @Override
    public Object bindItemLayout() {
        return R.layout.item_activity_center;
    }

    @Override
    public void bindData(RecyclerViewHolder holder, int position, ActivityInfoBean item) {
        Glide.with(getContext()).load(item.getUrl()).into(holder.getImageView(R.id.iv_image_activity_center));
//        holder.getTextView(R.id.tv_content_activity_center).setText(getContext().getString(R.string.title_activity_center));
    }
}
